function pickUp(configMap) {
	$.post('index.php?route=extension/shipping/via_delivery/popup', { }).done(function(data) {
		$(data).insertAfter("#via-button-pick");
		
		$('#vieModal') 
		  .css('display', 'block')
		  .animate({opacity: 1}, 398);
	});
}

$(document).on('click','#close-modal',function(){
	$('#vieModal') 
		.css('display', 'none')
		.animate({opacity: 0}, 198);
			
	$(".modal").modal("hide");
});

$(document).on('click', '[name="shipping_method"]', function(){
	
	shipping_method = $("input[name='shipping_method']:checked").val();
	
	if(typeof(reloadAll) == 'function'){
		reloadAll()
	}
	
	if(shipping_method == 'via_delivery.via_delivery'){
		$('#via-open-map').css('display', 'block');
		$('#via-address').css('display', 'block');
	}else{
		$('#via-open-map').css('display', 'none');
		$('#via-address').css('display', 'none');
	}
});

let IViaDel_obj = {
	viaMessageListener: function (event)
    {
        if (event.origin !== 'https://widget.viadelivery.pro') //get message not from viadelivery? It's not our message
            return;

        let selectedPointInfo = JSON.parse(event.data);
		
		if (!selectedPointInfo.emit || selectedPointInfo.emit !== 'via-map') return
		
		$.post('index.php?route=extension/shipping/via_delivery/save', { PointInfo: selectedPointInfo }).done(function(data) {
			$('#via-address').remove();
			console.log(selectedPointInfo);
			
			$('#via-cost').text(data.price);
			$('[name="shipping_address[address_1]"], [name="address_1"]').val(selectedPointInfo.full_address);
			
			if($('input[name=address_same]').is(':checked')){
				$('[name="payment_address[address_1]"]').val(selectedPointInfo.full_address);
			}
						
			$("<p style='font-weight: 500;' id='via-address'><b>" + selectedPointInfo.description + "</b> " + selectedPointInfo.min_days + "-" + selectedPointInfo.max_days + " days<br />" + selectedPointInfo.full_address + "</p>").insertAfter("#via-open-map");
			$('.alert-danger').remove();
			$('#close-modal').trigger('click');
		});
	},
};

window.addEventListener('message', IViaDel_obj.viaMessageListener);